Package org.eclipse.core.commands

## Interface IExecutionListenerWithChecks

All Superinterfaces:
  `IExecutionListener`

    public interface IExecutionListenerWithChecks
    extends IExecutionListener

A listener to the execution of commands. This listener will be notified if someone tries to execute a command and it is not enabled or not defined. The listener also be notified if a command is about to execute, and when that execution completes. It is not possible for the listener to prevent the execution, only to respond to it in some way.

Clients may implement, but must not extend.

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `notDefined​(String commandId, NotDefinedException exception)` Notifies the listener that an attempt was made to execute a command that is not defined.
`void` `notEnabled​(String commandId, NotEnabledException exception)` Notifies the listener that an attempt was made to execute a command that is disabled.

### Methods inherited from interface org.eclipse.core.commands.IExecutionListener

`notHandled, postExecuteFailure, postExecuteSuccess, preExecute`

### Method Detail

#### notDefined

    void notDefined​(String commandId,
                    NotDefinedException exception)

Notifies the listener that an attempt was made to execute a command that is not defined.

Parameters:
  `commandId` - The identifier of command that is not defined; never `null`
  `exception` - The exception that occurred; never `null`.

#### notEnabled

    void notEnabled​(String commandId,
                    NotEnabledException exception)

Notifies the listener that an attempt was made to execute a command that is disabled.

Parameters:
  `commandId` - The identifier of command that is not enabled; never `null`
  `exception` - The exception that occurred; never `null`.